 //********************************************************//
 /* 
                  
     register_nam     -     , 
     data_transmitted -    .
*/	
 //********************************************************// 
void save_register_1byte(uint8_t register_name,uint8_t data_transmitted) 
{
	register_name = register_name | W_REGISTER;
	PORTB &=~ (1 << CSN);         //    SPI
	SPDR = register_name;         //   
	while(BitIsClear(SPSR,SPIF)); //    SPI	
	SPDR = data_transmitted;      //   
	while(BitIsClear(SPSR,SPIF));	
	register_name = SPDR;         //   SPIF		
	PORTB |= (1 << CSN);          //    SPI
}  	
//****************************************************//		 
/*
              1 - N
   register_name -    (W_TX_PAYLOAD -    , R_RX_PAYLOAD -   ),
   data_array    -          
   number_bits   -     
   save_reading  -   TX,  RX 
*/	
//****************************************************// 
void register_Nbyte(uint8_t register_name,uint8_t *data_array,uint8_t number_bits,uint8_t save_reading) 
{
	volatile uint8_t Temp = 0;
	if (save_reading == 1)
	 {
	   register_name = register_name | R_REGISTER;	 
	 }
	else
	 {
	   register_name = register_name | W_REGISTER;  
	 }	
	PORTB &=~ (1 << CSN);
	SPDR = register_name;          
	while(BitIsClear(SPSR,SPIF));	
	while( number_bits > Temp)     
	 {	   	 
	   if (save_reading == 1)     
	    {
		   SPDR = NOP;  
		   while(BitIsClear(SPSR,SPIF));	
		   data_array[Temp] =  SPDR;	
	    } 
	    else
	    {
		  SPDR = data_array[Temp];  		   
	      while(BitIsClear(SPSR,SPIF));	
	    }	   	 	   
	   Temp ++; 	   	
	 }				
	register_name = SPDR;       //   SPIF		
	PORTB |= (1 << CSN);
}  
 //******************************************//
    //   . a- 
 //******************************************//	
uint8_t r_register_1byte(uint8_t a)
 {
	ClearBit(PORTB,CSN);//  CSN(SS)   ,       .
	SPDR=a;
	while(BitIsClear(SPSR,SPIF));//   SPI    
	if (!(a==STATUS))
	{
	  SPDR=NOP;
	  while(BitIsClear(SPSR,SPIF));
	}	
	SetBit(PORTB,CSN);// CSN(SS)   ,   .
	return SPDR;
 }




void prx(void)// nRF  .
{				
	save_register_1byte(CONFIG,(1<<PWR_UP)|(1<<EN_CRC)|(1<<PRIM_RX));
	SetBit(PORTB,CE);
	_delay_us(135); 
	//  RX
}



