/*
 * Dgostik_00.c
 *
 * Created: 17.09.2015 12:11:48
 *  Author: pan
 */ 

#define F_CPU 800000UL
#include <avr/io.h>
#include <avr/interrupt.h> 
#include <avr/delay.h>
volatile unsigned char dataOnTheModule[6] = { 0xAD, 0xFC, 0xFF, 0xEE, 0xAA, 00 };
#include "nRF24LO1c.c" 
#include "nRF24Lo1.h"

#define joystick_1_horizon  4
#define joystick_1_vertical 5
#define joystick_2_horizon  6
#define joystick_2_vertical 7
#define joystick_1_button   0
#define joystick_2_button   1 

volatile unsigned int  w_ADC_data,Averaging,timeTransmission = 0; 
volatile unsigned char w_Flag_states,Canna_ADC = 4,Nomer_,Temp;
volatile unsigned char dataOnTheButon[28] = {};      // 
volatile unsigned int previousData[5] = {0,0,0,0};	
volatile unsigned char TheModule[6] ={};	
ISR  (ADC_vect)                     //  ACP           
  {             
    w_ADC_data = ADCW;              //      	
	w_Flag_states |=( 1 << 0 );
  }
 int main(void)
{ 	
    ADMUX |=(1<<MUX2)|(1<<REFS0);    
    ADCSRA|=(1<<ADEN)|(1<<ADIE)|(1<<ADPS1)|(1<<ADSC); 
	ADCSRA |= (1<<ADSC);            //    
	DDRC = 0;
	DDRD = 0b01100001;
	DDRB = 0;
	DDRA = 0;
    PORTA = 0b00001111;
	PORTD = 0b11111100;
	PORTB = 0b00011011;	
	
	//PORTD = 0b10001101;
		
	PORTC |= ( 1 << joystick_1_button )|( 1 << joystick_2_button );	
	//=================
	SPCR = (0<<SPIE)|(1<<SPE)|(0<<DORD)|(1<<MSTR)|(0<<CPOL)|(0<<CPHA)|(1<<SPR1)|(0<<SPR0); 
	SPSR = 0;  
	DDRB  |=(1<<7)|(1<<5)|(1<<4)|(1<<2);    
	PORTB |= (1<<4)|(1<<2); 
	//=================
	asm("sei");
	save_register_1byte(RX_PW_P1, 6);                   //  6       P1
	save_register_1byte(RX_PW_P0, 6);                   //  6       P1
	save_register_1byte(SETUP_RETR, 0b00010111);        //  500,    7
	save_register_1byte(RF_CH, 10);                     //   	 
	register_Nbyte(TX_ADDR ,dataOnTheModule,5,TX);    //     0xAD,0xFC,0xFF,0xEE,0xAA
	   //register_Nbyte(RX_ADDR_P1 ,dataOnTheModule,5,TX);//     	
	//register_Nbyte(RX_ADDR_P1 ,TheModule,5,RX);       //    (0xAD,0xFC,0xFF,0xEE,0xAA) 	
	_delay_ms(20); 	
	prx(); //  
    while(1)
    {	
		//if (!(PINB & (1<<IRQ))) //  IRQ ,   ,   ?   
			//{
				//PORTD |=(1<<6);			
			  	//Temp = r_register_1byte(STATUS);//  
				//save_register_1byte(STATUS,Temp);//   - 
				//if (BitIsSet(Temp,RX_DR))             //    1   .
					//{						
						//register_Nbyte(R_RX_PAYLOAD,dataOnTheModule,6,RX);																							
					//}			
				//Temp = FLUSH_RX | W_REGISTER;
				//PORTB &=~ (1 << CSN);             //    SPI
				//SPDR = Temp;                      //   
				//while(BitIsClear(SPSR,SPIF));     //    SPI
				//PORTB |= (1 << CSN);              //    SPI	
				//PORTD &=~(1<<6);
																								//
			//} 
		////---------------------------//	
			//if (dataOnTheModule[5] & (1<<3))
				//PORTD |=(1<<5);	 
			//else
				//PORTD &=~(1<<5); 
			
			       //
	    if (timeTransmission > 2000) //   
	     {			
			NRF24L01_TX();
			timeTransmission = 0; 
	     }	
		if ( w_Flag_states & (1 << 0) ) 
		 {
			asm("cli"); 
			Poll_buttons ();
			asm("sei");
		 }
		if ( w_Flag_states & (1 << 1) )
		 {
			timeTransmission ++;  
			asm("cli");  
			w_Flag_states &=~ (1 << 1);  		    
			thePollButtons();		 
			asm("sei");
		 }
    }
}
 //*********************************//
      //   NRF24LO1
 //*********************************//
 NRF24L01_TX()
  {
	asm("cli"); 
	PORTD |=(1<<0);    // 
 	PORTB &=~(1<<CE);	
	save_register_1byte(CONFIG,(1<<PWR_UP)|(1<<EN_CRC)|(0<<PRIM_RX)); //  	
	register_Nbyte(W_TX_PAYLOAD,dataOnTheModule,6,TX);                //         
	// ---------------     x		
	SetBit(PORTB,CE); 	    
	_delay_us(12);
	ClearBit(PORTB,CE);
	_delay_us(135);	 
	SetBit(PORTB,CE); 
	//---------------- 	
	Temp = r_register_1byte(STATUS);         //  				
	save_register_1byte(STATUS,Temp);        //   -  
	Temp = FLUSH_RX | W_REGISTER;
	PORTB &=~ (1 << CSN);             //    SPI
	SPDR = Temp;                      //   
	while(BitIsClear(SPSR,SPIF));     //    SPI
	PORTB |= (1 << CSN);              //    SPI
	//------------------ 
		
	 PORTD &=~(1<<0);	//
	 asm("sei");
	//------------------  
	//prx();//   
  }
 //********************************//
 //********************************//
    //     
 //********************************//
 //********************************//
 Buttons ( unsigned char *PIN_, register unsigned char nomer, register unsigned char R, register unsigned char Bit )
 {  
    if ( *PIN_ & (1<< nomer))
	 {	 
		if ( dataOnTheButon[Nomer_] >1) 
		 {
		   dataOnTheButon[Nomer_] = 0; 
		 }		 		  
		Nomer_++;  
		if (dataOnTheButon[Nomer_]  < 10)
		 {
		   dataOnTheButon[Nomer_]++;
		 }
		 else
		 {
			dataOnTheModule[R] &=~ (1<<Bit);	 
		 }
	 }
	else  //   
	 {
		if (dataOnTheButon[Nomer_]  < 10)
		 {	  	
		   dataOnTheButon[Nomer_] ++;
		 }
		 else
		 {
			dataOnTheModule[R] |= (1<<Bit);  
		 }		   
		Nomer_++; 
		if ( dataOnTheButon[Nomer_] > 1)
		 {
		   dataOnTheButon[Nomer_] = 0; 
		 }	 				      		 		
	 }
	Nomer_++; 
 }
 
void thePollButtons( void )
 {
   Nomer_ = 0;	
   Buttons (&PINA,0,4,7); //  7  dataOnTheModule[4]  1
   Buttons (&PINA,1,4,6); //  6  dataOnTheModule[4]  2
   Buttons (&PINA,2,4,5); //  5  dataOnTheModule[4]  3
   Buttons (&PINA,3,4,4); //  4  dataOnTheModule[4]  4 
   //--------------------//
   Buttons (&PIND,4,4,3); //  3  dataOnTheModule[4]  5
   Buttons (&PIND,5,4,2); //  2  dataOnTheModule[4]  6
   Buttons (&PIND,6,4,1); //  1  dataOnTheModule[4]  7
   Buttons (&PIND,7,4,0); //  0  dataOnTheModule[4]  8
   //--------------------//
   Buttons (&PIND,2,5,7); //  7  dataOnTheModule[5]  9
   Buttons (&PIND,3,5,6); //  6  dataOnTheModule[5]  10
   Buttons (&PINB,0,5,5); //  5  dataOnTheModule[5]  11
   Buttons (&PINB,1,5,4); //  4  dataOnTheModule[5]  12
   //--------------------//
   Buttons (&PINC,0,5,3); //  3  dataOnTheModule[5]  13
   Buttons (&PINC,1,5,2); //  2  dataOnTheModule[5]  14
 } 

 // *******************************//
 // *******************************//
     //   
 //********************************//
 // *******************************//
 void determining_the_position_of_the_joystick (register unsigned char nomer)
   {
	 register unsigned int Temp = previousData[nomer];
	 if ( Temp == Averaging )     //    
	  return;  	   
	 if ( Temp > Averaging )      //    
	  {
		 Temp = Temp - Averaging; //        
		 if ( Temp < 5 )          //          
		   return;
	  }
	  else
	  {
		if ( Temp < Averaging )      //    
	     {
		   Temp = Averaging - Temp;  //        
		   if ( Temp < 5 )           //           
		     return;			 
	     }  		  
	  }	
	 Temp = Averaging / 5;  //    
	 dataOnTheModule [nomer] = Temp;    //     ( 0 - 210)
	 previousData [nomer] = Averaging;	//     
   }
 //==========================//
  void Poll_buttons (void)
   {	
	 static unsigned char Temp; 
	 w_Flag_states &=~( 1 << 0 );  
	 Temp ++;
	 Averaging = Averaging + w_ADC_data; 
	 if ( Temp < 4 )            //     
	  {
		ADCSRA |= (1<<ADSC);    //    	  
		return;  
	  }	  
	 Averaging = Averaging >> 2; //   
	 //-------------------//	  
	 switch (Canna_ADC)         
       {        
		 case 4:
		         determining_the_position_of_the_joystick ( 0 );  //    
		         ADMUX = 0b01000101;  //  5 
		         break;
		 case 5: 
                 determining_the_position_of_the_joystick ( 1 );  //    
		         ADMUX = 0b01000110;  //  6 
		         break;
		 case 6: 
                 determining_the_position_of_the_joystick ( 2 );  //    
		         ADMUX = 0b01000111;  //  7 
		         break;
		 case 7: 
                 determining_the_position_of_the_joystick ( 3 );  //    
		         ADMUX = 0b01000100;  //  4 
				 Canna_ADC = 3;
				 w_Flag_states |= (1 << 1); 
		         break;		 	 
	   }	
	 Averaging = 0; 
	 Temp = 0; 
	 Canna_ADC ++;		
	 ADCSRA |= (1<<ADSC);    //    	 
   }
 